Get the playlists of an episode

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/episodes/{episode_id}/playlists

Get the playlists of an episode. Give main to get the playlists that are in no episode. Give all to get the playlists of all the episodes. A client gets only the playlists for clients. Vendors cannot use this route.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

  • episode_id string(uuid) Required

    Unique identifier of the episode, or main, or all

Query parameters

  • for_entity string

    Get only the playlists of this entity type: asset, shot, sequence, edit or episode

  • page integer

    Page to get. Each page has 20 playlists.

  • sort_by string

    Field to sort the playlists on, for example created_at

  • task_type_id string

    Get only the playlists of this task type

Responses

  • 200 application/json

    The list of playlists

    Hide response attributes Show response attributes object
    • id string(uuid)

      Playlist unique identifier

    • name string

      Playlist name

    • episode_id string(uuid)

      Episode unique identifier

  • 403

    You do not have access to this project, or you are a vendor

  • 404

    The episode does not exist

GET /data/projects/{project_id}/episodes/{episode_id}/playlists
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/episodes/a24a6ea4-ce75-4665-a070-57453082c25/playlists" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/episodes/a24a6ea4-ce75-4665-a070-57453082c25/playlists"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "name": "Review Playlist",
    "episode_id": "b35b7fb5-df86-5776-b181-68564193d360"
  }
]